import axios from "@/utils/request";
import { defaultParams } from "./common";

const getParams = (p = {}) => {
  return {...defaultParams, ...p}
}

// 获取提现审核列表
export async function getApplyList () {
    const res = await axios.get("/api/v1/get_withdrawal_apply_list", {params: getParams()});
    return res;
  }
  // 黑名单，冻结用户
  export async function getBlackList ({user_id,wallet_id,is_freezing}) {
    const res = await axios.post("/api/v1/get_withdrawal_black_list" ,{params: getParams({user_id,wallet_id,is_freezing})});
    return res;
  }
// 获取订单审核--通过，拒绝
export async function getWithdrawAudit ({withdraw_apply_id,withdraw_apply_status}) {
  const res = await axios.post("/api/v1/get_withdraw_audit",{params: getParams({withdraw_apply_id,withdraw_apply_status})});
  return res;
}

